# $Id: i18n.any.inc,v 1.5 2001/02/06 13:42:07 kasour Exp $
# Basic i18n support for demo. Quite dirty. Feel free to contribute !
# It is used to synchronize messages or titles added in the target file by xtrans schemas, with the
# language of the XML source.

# Note: unlike other locale message system, this one works with keywords instead
# of full english messages to translate. This is much more convenient, since it
# can be used to map full messages to filenames or to change the english message
# without affecting programs.




Global: translations
{
'revhist': {'fr': 'Mises  jour de la documentation', 'en': 'Last documentation updates', 'de': '+need translation+', 'es': '+need translation+', 'br':"Nevesadurio diwezha"},
'quickstart': {'fr': "L'essentiel", 'en': 'Quickstart', 'de': '+need translation+', 'es': '+need translation+', 'br':"Deomp dezhi !"},
'content': {'fr': 'Sommaire', 'en': 'Contents', 'de': '+need translation+', 'es': '+need translation+', 'br':"Taolenn"},
'synopsis': {'fr': 'Synopsis', 'en': 'Synopsis', 'de': '+need translation+', 'es': '+need translation+', 'br':"Urzhiad"},
"description": {'fr': 'Description', 'en': 'Description', 'de': '+need translation+', 'es': '+need translation+', 'br':"Disklaeriadur"},
'history': {'fr': 'Historique', 'en': 'History', 'de': '+need translation+', 'es': '+need translation+', 'br':"Roudo ?"},
'email us': {'fr': 'crivez-nous', 'en': 'Email us', 'de': '+need translation+', 'es': '+need translation+', 'br':"Skrivit dimp"},
'homepage': {'fr': 'Accueil', 'en': 'Home', 'de': '+need translation+', 'es': '+need translation+', 'br':"Pennbajenn"},
'apropos': {'fr': ' propos de ce site', 'en': 'About this site', 'de': '+need translation+', 'es': '+need translation+', 'br':"A-zivout al lec'hienn-ma"},
'faq': {'fr': 'FAQ', 'en': 'FAQ', 'de': '+need translation+', 'es': '+need translation+', 'br':"GGA"},
'support': {'fr': 'Support', 'en': 'Support', 'de': '+need translation+', 'es': '+need translation+', 'br':"Skoazell"},
'introduction': {'fr': 'Introduction', 'en': 'Introduction', 'de': '+need translation+', 'es': '+need translation+', 'br':"Rakskrid"},
'newsarchive': {'fr': 'Actualits des mois prcdents', 'en': 'Older news', 'de': 'Neuigkeiten vergangener Monate', 'es': 'Novedades de los meses anteriores', 'br': "Trao nevez ar mizio tremenet"},
'news': {'fr': 'Actualits', 'en': 'News', 'de': 'Neuigkeiten', 'es': 'Novedades', 'br': "Keleier"},
'links': {'fr': 'Liens intressants', 'en': 'Interesting links', 'de': 'Interessante Sites', 'es': 'Sitios interesantes', 'br': "Un dibab"},
'more': {'fr': 'Suite...', 'br': "Muioc'h...", 'en': 'More...', 'de': '+need translation+', 'es': '+need translation+'},
'source': {'fr': 'Source :', 'br': "Digant :", 'en': 'Source:', 'de': '+need translation+', 'es': '+need translation+' },
'product': {'fr': 'Produit', 'br': "+need translation+", 'en': 'Product', 'de': '+need translation+', 'es': '+need translation+' },
'version': {'fr': 'Version', 'br': "Aozerezh", 'en': 'Version', 'de': '+need translation+', 'es': '+need translation+' },
'main author': {'fr': 'Auteur', 'br': "Aozer", 'en': 'Author', 'de': '+need translation+', 'es': '+need translation+' },
'publisher': {'fr': 'diteur/Support', 'br': "Embanner/Pourvezer", 'en': 'Publisher/Support', 'de': '+need translation+', 'es': '+need translation+' },
'license': {'fr': 'License', 'br': "Aotre", 'en': 'License', 'de': '+need translation+', 'es': '+need translation+' },
'online manual': {'fr': 'Manuel en ligne', 'br': "Dornlevr enlinenn", 'en': 'Online manual', 'de': '+need translation+', 'es': '+need translation+' },
'price': {'fr': 'Prix', 'br': "Priz", 'en': 'Price', 'de': '+need translation+', 'es': '+need translation+' },
'download': {'fr': 'Tlcharger', 'br': "Enkarga", 'en': 'Download', 'de': '+need translation+', 'es': '+need translation+' },
'extrans': {'fr': 'eXtrans', 'br': "eXtrans", 'en': 'eXtrans', 'de': 'eXtrans', 'es': 'eXtrans' },
'free support': {'fr': 'Support gratuit', 'br': "Skoazell digoust", 'en': 'Free Support', 'de': '+need translation+', 'es': '+need translation+' },
'commercial support': {'fr': 'Support commercial', 'br': "Skoazell kenwerzhel", 'en': 'Commercial Support', 'de': '+need translation+', 'es': '+need translation+' },
'service': {'fr': 'Service', 'br': "Servij", 'en': 'Service', 'de': '+need translation+', 'es': '+need translation+' },
'contact': {'fr': 'Contact', 'br': "Darempred", 'en': 'Contact', 'de': '+need translation+', 'es': '+need translation+' },
'free': {'fr': 'Gratuit', 'br': "Digoust", 'en': 'Free', 'de': '+need translation+', 'es': '+need translation+' }
}

Global: monthDate
  {'br': ["error", "Genver", "C'hwevrer", "Meurzh", "Ebrel", "Mae", "Even", "Gouere", "Eost", "Gwengolo", "Here", "Du", "Kerzu"],
   'fr': ["error", "Janvier", "Fvrier", "Mars", "Avril", "Mai", "Juin", "Juillet", "Aot", "Septembre", "Octobre", "Novembre", "Dcembre"],
   'en': ["error", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
   'es': ["error", "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
   'de': ["error", "Januar", "Februar", "Mrz", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]}

Function: SetLocale lang
    xtrans.lang = lang

Function: GetMess messid
    if xtrans.translations.has_key(messid):
        return xtrans.translations[messid][xtrans.lang]
    else:
        return messid

# locale date; parameters are all integers
Function: LocaleDate year, month, day=None
    if xtrans.lang == "br" and day:
        monthstr = "a viz "+xtrans.monthDate[xtrans.lang][month]
    else:
        monthstr = xtrans.monthDate[xtrans.lang][month]
    if day:
        return ("%2d %s %4d" % (day, monthstr, year))
    else:
        return ("%s %4d" % (monthstr, year))

